Originally by Mark Delaney (markd@mira.net.au).

19970907 Fred Lindberg (lindberg@id.wustl.edu):
         modified to handle errors returned from issub.c.
19971015 modified patch to also fix BIN and MAN.
19971102 ezmlm-issub-0.04
         modified to use SENDER if the second argument is omitted. This avoids
         pitfalls in scripts, as SENDER is under the control of the sender.
	 Also, made sure that success = 1 as opposed to just 'non-zero'.
19971123 ezmlm-issub-0.05
         Put directory check before addr check to catch when only the address
         is given on the command line (I seem to do that a lot).
         Added ezmlm-issubn. It uses the address in SENDER and tests any
         number of directories specified on the command line, exiting 0 as
         soon as a match is found, 99 if no match is found. New name as it
         is not backwards compatible with ezmlm-issub.

ezmlm-issub DIR [address]

        returns 0 if address is a subscriber, 1 if not
        100 on permanent, and 111 on temporary errors.

ezmlm-issubn DIR [DIR1 ...]

        returns 0 if address is a subscriber, 99 if not,
        100 on permanent, and 111 on temporary errors.


INSTALLATION
============
1. Copy files to your ezmlm directory.
2. Apply patch to Makefile:

  % patch < iss.patch

3. Make program and man page:

  % make

4. Copy to the appropriate directory:

  # make setup

  or

  # cp ezmlm-issub /usr/local/bin/ezmlm
  # cp ezmlm-issub.0 /usr/local/man/cat0
  # cp ezmlm-issubn /usr/local/bin/ezmlm
  # cp ezmlm-issubn.0 /usr/local/man/cat0

  or wherever you install you bin/man.

Make sure the permissions of the files are correct.

How to test:

5. With a exisiting list in DIR and an address of a subscriber (sub@host)
   and a non-subscribed address (not@host), do:

  % env SENDER=sub@host ./ezmlm-issubn DIR && echo "is"
  % env SENDER=not@host ./ezmlm-issubn DIR || echo "not"

  Both of these should print correct statements.

6. With with sub@host subscribed to the list in DIR and dig@host
   subscribed to the list in DIR-DIGEST:

  % env SENDER=sub@host ./ezmlm-issubn DIR DIR-DIGEST && echo "is"
  % env SENDER=dig@host ./ezmlm-issubn DIR DIR-DIGEST && echo "is"
  % env SENDER=not@host ./ezmlm-issubn DIR DIR-DIGEST || echo "not"

  All three should print correct statements.

That's it!

PROBLEMS

E-mail lindberg@id.wustl.edu

